1. Direct API
Merchant Warrior API 2.0
  • API
    • Getting Started
    • Guides
      • Xero Connection
      • Xero Custom URL
      • wooCommerce PayID
      • Middleware
      • Hostaway
    • Direct API
      • getAccessToken
        POST
      • processCard
        POST
      • processAuth
        POST
      • processCapture
        POST
      • processBatch
        POST
      • retrieveBatch (CSV)
        POST
      • retrieveBatch (JSON Response)
        GET
      • retrieveBatch (JSON Notify)
        GET
      • refundCard
        POST
      • queryCard
        POST
      • processDDebit
        POST
      • processDDebitAuth
        POST
      • processVoid
        POST
      • verifyCard
        POST
      • queryDD
        POST
      • queryBIN
        POST
      • getSettlement
        POST
      • checkEnrollment
        POST
      • checkPARes
        POST
      • addBlacklistedCard
        POST
      • removeBlacklistedCard
        POST
      • queryBlacklistedCard
        POST
      • simulateNotify
        POST
      • getSurcharge
        POST
    • 3DS 2.0
      • Introduction
      • 3DS 2 Authentication Flows
      • Step 3 - 3DS Method Data
      • Step 5 - Challenge
      • Step 1 - getAccessToken
      • Step 2 - checkEnrollment
      • Step 4 - checkTDSAuth
      • Step 6 - checkPARes
      • Step 7 - processCard
      • Authorization Only processCard
    • PayLink
      • Introduction
      • Generate PayLink
    • PayID
      • Introduction
      • Create
      • Transaction
      • Get
      • Update
      • Status
      • List
      • Refund
    • PayTo
      • Introduction
      • Simulator
      • Certification
      • Actions and Statuses
      • Agreements
        • Agreements
        • Notifications
        • Create Agreement
        • Get Agreement
        • Amend Agreement
        • Amend Agreement Status
        • Recall Agreement Action
      • Payments
        • Payments
        • Notifications
        • Create Payment
        • Get Payment
        • Get Payment Status
        • Search Payments
    • Confirmation of Payee
      • Introduction
      • Sandbox Simulations
      • Validate
    • POS
      • Introduction
      • processPOS
      • refundPOS
      • voidPOS
      • deregisterPOS
    • Web SDK
      • Introduction
      • Usage
      • getAccessToken
      • Options
      • Initiate
      • Payframe Functionality
      • Middleware
      • addCard
    • Payframe
      • Introduction
      • Usage
      • Constructor
      • tdsCheck
      • Additional Functions
      • Styling
      • processCard
      • processAuth
    • Digital Wallets
      • Apple Pay Prerequisites
      • Google Pay Prerequisites
      • Web SDK
      • Manual Integration
      • processCard
      • addCard
      • getMerchantSession
      • decryptApplePayToken
    • Token Payments
      • Introduction
      • Key Management
      • addCard
      • removeCard
      • cardInfo
      • changeExpiry
      • processCard
      • processAuth
    • Batch
      • Introduction
      • Card Batches
      • Token Batches
      • Direct Debit Batches
    • Forter
      • Introduction
      • Testing
    • Payouts
      • Introduction
      • Sandbox Simulations
      • Notifications
      • Create Payouts
      • Get Payout Status
      • Resend Notifications
      • Get Payout Transaction Status
      • Get Payout Transaction Notify
    • Partner API
      • Introduction
      • addMerchant
      • updateMerchant
      • checkMerchant
    • Notifications
      • Notifications
  • Hosted Payment Page
    • processCard
  1. Direct API

processBatch

Sandbox
https://base.merchantwarrior.com
Sandbox
https://base.merchantwarrior.com
POST
/post
The processBatch method enables merchants to securely automate the processing of batch files
containing credit card, token transaction data or bank accounts. This method accepts and processes compressed .csv files directly via the Direct API and should be implemented when automating a large number of transactions is a requirement.
The processBatch method will process a batch file and automatically issue a notification via POST to
the merchant’s application when the batch file has completed processing. The batch response file
(containing the results to all transactions processed via the original batch file) can be sent (and
compressed) with the POST notification if requested by the merchant.
Sample process and response batch files can be found here.

Request

Header Params

Body Params application/jsonRequired

Examples

Responses

🟢200OK
application/json
OK
Bodyapplication/json

Request Request Example
Shell
JavaScript
Java
Swift
curl --location 'https://base.merchantwarrior.com/post' \
--header 'MW-API-VERSION: 2.0' \
--header 'Content-Type: application/json' \
--data '{
    "method": "processBatch",
    "merchantUUID": "123456789abcd",
    "apiKey": "1a3b5c",
    "batchNotifyURL": "https://www.example.com/notify.php",
    "batchFile": "Batch.zip",
    "fileHash": "e9ddc296b76b3398934bfc06239073df",
    "urlHash": "511999e54b9ad51ce4c28d7f0550ac81",
    "batchResponseFileAttach": true,
    "batchResponseFileCompress": true
}'
Response Response Example
{
    "responseCode": "0",
    "responseMessage": "Batch has been successfully submitted.",
    "batchUUID": "1336583d3a953ce2d"
}
Modified at 2026-08-07 06:22:13
Previous
processCapture
Next
retrieveBatch (CSV)
Built with